/* include gnu.gpl, (*) 2000 Micha 'malekith' Moskal <malekith@topnet.pl>. 
 * $Id: acconfig.h,v 1.4 2000/08/27 18:32:50 malekith Exp $ */

/* USER config START */

/* string used to mark continued lines */
#define CONT_STRING "      "

/* this shall not be defined in most cases ... */
/* #define ALLOC_DEBUG */

/* USER config END */

/* 
 * this section is altered by configure 
 */
 
@TOP@

/* define this if you want ipv6 support and your libc have needed structs
 * like sockaddr_in6 (in <netinet/in.h>) */
#undef IPv6

/* define if you have __uint32_t like types in <sys/types.h> */
#undef HAVE_TYPES_IN_SYS_TYPES_H
#undef WORDS_BIGENDIAN
#undef socklen_t
#undef BOGUS_HSTRERROR

@BOTTOM@

/* 
 * end of altered section 
 */

/* setup iXX and uXX types for integers of exactly specified size */
#ifdef HAVE_TYPES_IN_SYS_TYPES_H
#	include <sys/types.h>
#	define i8 __int8_t
#	define i16 __int16_t
#	define i32 __int32_t
#	define u8 __uint8_t
#	define u16 __uint16_t
#	define u32 __uint32_t
#else /* HAVE_SYS_TYPES_H */
#	ifndef i32
#		if SIZEOF_INT == 4
#			define i32 int
#		elif SIZEOF_SHORT == 4
#			define i32 short
#		elif SIZEOF_LONG == 4
#			define i32 long
#		else
#			error "cannot find 32 bits wide int type"
#		endif
#	endif /* i32 */
#	ifndef i16
#		if SIZEOF_SHORT == 2
#			define i16 short
#		elif SIZEOF_INT == 2 /* ehemm.... */
#			define i16 int 
#		else
#			error "cannot find 16 bits wide int type"
#		endif
#	endif /* i16 */
#	ifndef i8
#		if SIZEOF_CHAR == 1
#			define i8 char
#		else
#			error "sizeof(char) != 1, bailing out"
#		endif /* SIZEOF_CHAR */
#	endif /* i8 */
#	define u32 unsigned i32
#	define u16 unsigned i16
#	define u8 unsigned i8
#endif /* HAVE_SYS_TYPES_H */

#define byte u8

#ifndef __cplusplus
#define bool int
#endif /* __cplusplus */
